from launch import LaunchDescription
from launch_ros.actions import Node
from launch.actions import TimerAction

def generate_launch_description():
    # 创建节点启动描述
    robot_control_node = Node(
        package='robot_control',  # 功能包名称
        executable='robot_control_node',  # 可执行文件名称
        name='robot_control_node',  # 节点名称（可自定义）
        output='screen',  # 输出到屏幕
    )

    start_robot_control_node = TimerAction(
        period=1.0,
        actions=[robot_control_node],
    )
    
    # 组装launch描述
    return LaunchDescription([
        start_robot_control_node
    ])
